player_localize_get_particles Struct Reference

Request/reply: Get particles. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose2d_t | mean
| The best (?) pose (mm, mm, arc-seconds). More...
double | variance
| The variance of the best (?) pose (mm^2)
uint32_t | particles_count
| The number of particles included.
player_localize_particle_t * | particles
| The particles.

## Detailed Description

Request/reply: Get particles.

To get (usually a subset of) the current particle set (assuming the underlying driver uses a particle filter), send a null PLAYER_LOCALIZE_REQ_GET_PARTICLES request.

## Member Data Documentation

player_pose2d_t player_localize_get_particles::mean

The best (?) pose (mm, mm, arc-seconds).

Referenced by AdaptiveMCL::ProcessMessage().

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45